#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hslua
version:              2.3.0
visibility:           public
id:                   hslua-2.3.0-1J5Etl4TfUjGjzuWkpukNV
key:                  hslua-2.3.0-1J5Etl4TfUjGjzuWkpukNV
license:              MIT
copyright:
    © 2007–2012 Gracjan Polak;
    © 2012–2016 Ömer Sinan Ağacan;
    © 2017-2023 Albert Krewinkel

maintainer:           tarleb@hslua.org
author:               Albert Krewinkel, Gracjan Polak, Ömer Sinan Ağacan
homepage:             https://hslua.org/
synopsis:             Bindings to Lua, an embeddable scripting language
description:
    HsLua provides wrappers and helpers
    to bridge Haskell and <https://www.lua.org/ Lua>.

    It builds upon the /lua/ package, which allows to bundle
    a Lua interpreter with a Haskell program.

    Example programs are can be found in the @hslua-examples@
    subdir of the project
    <https://github.com/hslua/hslua repository>.

category:             Foreign
abi:                  2bcaa0aa99f0a0b4ffc52bf3ac8a0f75
exposed:              True
exposed-modules:
    HsLua,
    HsLua.Aeson from hslua-aeson-2.3.0.1-84Oa1ufyZR3LoZNHVgY23f:HsLua.Aeson,
    HsLua.Class.Exposable from hslua-classes-2.3.0-8N1h02xP9vnAzCe6svjSxI:HsLua.Class.Exposable,
    HsLua.Class.Invokable from hslua-classes-2.3.0-8N1h02xP9vnAzCe6svjSxI:HsLua.Class.Invokable,
    HsLua.Class.Peekable from hslua-classes-2.3.0-8N1h02xP9vnAzCe6svjSxI:HsLua.Class.Peekable,
    HsLua.Class.Pushable from hslua-classes-2.3.0-8N1h02xP9vnAzCe6svjSxI:HsLua.Class.Pushable,
    HsLua.Class.Util from hslua-classes-2.3.0-8N1h02xP9vnAzCe6svjSxI:HsLua.Class.Util,
    HsLua.Core from hslua-core-2.3.1-40FWsgIaHeq4eaFqEbekcU:HsLua.Core,
    HsLua.Core.Error from hslua-core-2.3.1-40FWsgIaHeq4eaFqEbekcU:HsLua.Core.Error,
    HsLua.Core.Types from hslua-core-2.3.1-40FWsgIaHeq4eaFqEbekcU:HsLua.Core.Types,
    HsLua.Core.Utf8 from hslua-core-2.3.1-40FWsgIaHeq4eaFqEbekcU:HsLua.Core.Utf8,
    HsLua.Marshalling from hslua-marshalling-2.3.1-4TSd2HGypDi4eUf1LlMXAi:HsLua.Marshalling,
    HsLua.ObjectOrientation from hslua-objectorientation-2.3.0-FMyvKQBM4KAGd6mP4o3SpC:HsLua.ObjectOrientation,
    HsLua.Packaging from hslua-packaging-2.3.1-8MKtO0A4ziG7CkAt7QCPYD:HsLua.Packaging,
    HsLua.Packaging.Function from hslua-packaging-2.3.1-8MKtO0A4ziG7CkAt7QCPYD:HsLua.Packaging.Function,
    HsLua.Packaging.Module from hslua-packaging-2.3.1-8MKtO0A4ziG7CkAt7QCPYD:HsLua.Packaging.Module,
    HsLua.Packaging.Rendering from hslua-packaging-2.3.1-8MKtO0A4ziG7CkAt7QCPYD:HsLua.Packaging.Rendering,
    HsLua.Typing from hslua-typing-0.1.1-Lk9iKqgCDrK9IlVFtyMifM:HsLua.Typing,
    HsLua.Util

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hslua-2.3.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hslua-2.3.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hslua-2.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua
hs-libraries:         HShslua-2.3.0-1J5Etl4TfUjGjzuWkpukNV
depends:
    base-4.17.2.1 bytestring-0.11.5.3 containers-0.6.7
    exceptions-0.10.5 hslua-aeson-2.3.0.1-84Oa1ufyZR3LoZNHVgY23f
    hslua-classes-2.3.0-8N1h02xP9vnAzCe6svjSxI
    hslua-core-2.3.1-40FWsgIaHeq4eaFqEbekcU
    hslua-marshalling-2.3.1-4TSd2HGypDi4eUf1LlMXAi
    hslua-objectorientation-2.3.0-FMyvKQBM4KAGd6mP4o3SpC
    hslua-packaging-2.3.1-8MKtO0A4ziG7CkAt7QCPYD
    hslua-typing-0.1.1-Lk9iKqgCDrK9IlVFtyMifM mtl-2.2.2 text-2.0.2

haddock-interfaces:   /usr/share/doc/haskell-hslua/html/hslua.haddock
haddock-html:         /usr/share/doc/haskell-hslua/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

